<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" omit-xml-declaration="yes"/>

	<xsl:param name="path" />

	<xsl:template match="iq/query">
		<xsl:apply-templates select="." mode="list" />
	</xsl:template>

	<xsl:template match="*" mode="list">
		<div id="im_contact_list" style="margin:2px;">
			<xsl:for-each select="item">
				<xsl:sort select="group" case-order="upper-first" />
				<xsl:choose>
					<xsl:when test="not(group = preceding-sibling::item/group)">
						<div style="font-weight:bold;padding-left:16px;background:url({$path}templates/default/images/group_open.gif) no-repeat;">
							<xsl:value-of select="group[current()]" />
						</div>
						<xsl:apply-templates select="." mode="contacts"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="." mode="contacts"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</div>
	</xsl:template>

	<xsl:template match="*" mode="contacts">
		<div style="background:url({$path}templates/default/images/unavailable.gif) no-repeat 15px;padding-left:30px;cursor:pointer;display:none;" id="contact_{@jid}" idgroup="{group}" idname="{@name}" jid="{@jid}">
			<xsl:choose>
				<xsl:when test="@name">
					<xsl:value-of select="@name"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@jid"/>
				</xsl:otherwise>
			</xsl:choose>
			<br/>
			<span id="status_{@jid}" style="font-size:8pt; font-family:Verdana, Arial, Helvetica, sans-serif; font-style:italic; display:none" />
		</div>
		<span id="sub_{@jid}" style="background:#b4cfe5; font:8pt; position: absolute; display:none"></span>
	</xsl:template>

</xsl:stylesheet>
